Subject: Re: bug#70357: 30.0.50; loadup.el, load nadvice before seq

From: Gerd Möllmann <[email-masked]>
Date: Sun, 14 Apr 2024 14:48:08 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
>>  text editors" <[email-masked]>,  Stefan Monnier
>>  <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>>   [email-masked]
>> Date: Sun, 14 Apr 2024 08:26:04 +0200
>> 
>> What Stefan said about the different behaviour when some files are
>> compiled and others are not, is, I guess, what I see here. Sometimes
>> things work, sometimes they don't. Eli's attempt to reproduce the
>> problem also shows that, I think. Hence my thought if it wouldn't be an
>> idea to ignore .elcs when dumping bootstrap-emacs.pdmp. It doesn't help
>> with circular dependencies, but at least it is easier to reproduce when
>> it happens.
>
> If we load only *.el files into bootstrap-emacs, then bootstrap-emacs
> will be much slower.  And since it is used to compile many Lisp files,
> the net effect will be to make the build (not just bootstrap, but
> _every_ build) slower.  This is a serious disadvantage from where I
> stand.  So I hope we can find a better way of fixing this.  Especially
> since the problem seems to be marginal and rare, so punishing everyone
> because of it doesn't sound TRT to me.

Well, it's only 10% of the files that are compiled with bootstrap-emacs
(148 vs. 1464 which are compiled with emacs.pdmp). Anyway, I have a
workaround now in my local repo.